%bcond_without check
%global debug_package %{nil}

%global goipath  golang.org/x/time
%global forgeurl https://github.com/golang/time
Version:         0.3.0

%gometa

%global common_description %{expand:
This library provides supplementary Go time packages.}

%global golicenses      LICENSE PATENTS
%global godocs          CONTRIBUTING.md README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Go supplementary time packages

License:        BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.3.0-2
- Rebuilt for loongarch64

* Thu Aug 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
